Subject: Re: [calsify] Proposed Errata for RFC 7986: COLOR property with arbitrary RGB values

From: Дилян Палаузов <[email-masked]>
Date: Mon, 02 Jul 2018 20:15:33 +0000

Hello,

thanks for your feedback so far.

CSS3 contains 140 distinct named colours (substracting gray and leaving
gray).  I don't think this plethora of different colours is suitable to
create a branding palette.  Moreover, even if some clients interpret
the colour names to fit the branding, most of the clients will not do
so.  Then the same application will probably be used to read iCalendar
data from other sources, that want to have different or no branding
palette, so the application will have hard time to keep palettes per
source.

The last comment at https://github.com/w3c/csswg-drafts/issues/2813
states CSS3 colour names are not good idea.

To simplify the implementations I will propose that "rgb()" has to be
written lower case.

By letting any value as colour an implementation is not prohibited to
round the value during the interpretation to some preset palette.

Regards
  Дилян

New proposed text:

Description:   ...The value is either a case-insensitive color name
taken from the CSS3 set of names, defined in Section 4.3 of [W3C.REC-
css3-color-20110607], or a lower-cased rgb() functional notation with
absolute values specified in Section 4.2.1 of the same document.

Examples:  The following are examples of this property:
   COLOR:turquoise
   COLOR:rgb(61\,211\,68)

On Fri, 2018-06-29 at 09:08 -0700, Andrew Laurence wrote:
> Users use colors to represent all sorts of known-to-them metadata.
> They care *deeply* about color assignment and fidelity.  When we
> moved from a calendar system that let users assign colors according
> to criteria (Boss is organizer? Red! Description contains "Lunch"?
> Green!) to one that didn't, I heard about it for *ten* years.
> 
> While preparing for the June 2017 CalConnect, I surveyed users about
> issues with calendars.  It came up *again*, in the context of wanting
> to choose colors and have them remain the same across clients.
> 
> -Andrew
> 
> > On Jun 29, 2018, at 12:12 AM, Neil Jenkins <[email-masked]>
> > wrote:
> > 
> > I wasn't involved in the original discussion, but I have a vague
> > recollection from seeing the emails go by that this was
> > intentional: the theory was clients are not going to use the actual
> > colour you specify as they will want to pick something that goes
> > with their branding + background + event display design, so by
> > using names they could then choose their "version" of the colour
> > that was closest in spirit to the name given.
> > 
> > Not sure I agree with this reasoning, but I think that was the
> > idea.
> > 
> > Neil._______________________________________________
> > calsify mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/calsify
> 
> _______________________________________________
> calsify mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/calsify